package com.prolog.cs.biz.outbound.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-17 
 */
@ApiModel
public class OuterCheckPickUpVO implements Serializable {

	@ApiModelProperty(value = "*提货人姓名")
	private String shipperName;

	@ApiModelProperty(value = "*身份证号")
	private String shipperCard;

	@ApiModelProperty(value = "*提货时间")
	private Date pickUpDate;

	@ApiModelProperty(value = "*照片id")
	private String photoId;

	@ApiModelProperty(value = "*提货单号（来源单号/合单单号）")
	private String srcCode;

	@ApiModelProperty(value = "*建筑物id")
	private String bldgId;

	@ApiModelProperty(value = "*仓id")
	private String warehouseId;

	@ApiModelProperty(value = "*员工号")
	private String operatorCode;

	@ApiModelProperty(value = "备注")
	private String remarks;

	public String getOperatorCode() {
		return operatorCode;
	}

	public void setOperatorCode(String operatorCode) {
		this.operatorCode = operatorCode;
	}

	public String getShipperName() {
		return this.shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getShipperCard() {
		return shipperCard;
	}

	public void setShipperCard(String shipperCard) {
		this.shipperCard = shipperCard;
	}

	public Date getPickUpDate() {
		return pickUpDate;
	}

	public void setPickUpDate(Date pickUpDate) {
		this.pickUpDate = pickUpDate;
	}

	public String getPhotoId() {
		return this.photoId;
	}

	public void setPhotoId(String photoId) {
		this.photoId = photoId;
	}

	public String getSrcCode() {
		return this.srcCode;
	}

	public void setSrcCode(String srcCode) {
		this.srcCode = srcCode;
	}

	public String getRemarks() {
		return this.remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getBldgId() {
		return this.bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}


}
